Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrps.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrps.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrps.service.ts	(revision 55964)
@@ -1,14 +1,11 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import {SearchResult}     from '../utils/entities/searchResult';
+import {HttpClient} from "@angular/common/http";
+import {SearchResult} from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
 import {DOI, StringUtils} from '../utils/string-utils.class';
-import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
-import{EnvProperties} from '../utils/properties/env-properties';
+import {ParsingFunctions} from '../landingPages/landing-utils/parsingFunctions.class';
+import {EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchOrpsService {
@@ -15,7 +12,7 @@
     private sizeOfDescription: number = 270;
     public parsingFunctions: ParsingFunctions = new ParsingFunctions();
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchOrps (params: string, refineParams:string, page: number, size: number, sortBy: string, refineFields:string[], properties:EnvProperties ):any {
 
@@ -35,9 +32,9 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]));
     }
     searchOrpById (id: string , properties:EnvProperties):any {
 
@@ -44,8 +41,8 @@
         let url = properties.searchAPIURLLAst+"other/"+id+"?format=json";
 
          return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseResults(res, properties));
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseResults(res, properties)));
     }
 
     searchAggregators (id: string, params: string, refineParams:string, page: number, size: number, properties:EnvProperties ):any {
@@ -64,8 +61,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseRefineResults(id, res['refineResults']))
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseRefineResults(id, res['refineResults'])))
     }
 
     searchOrpsByDois (DOIs: string[], refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -88,10 +85,9 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
-
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]));
     }
     advancedSearchOrps (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
       let url = properties.searchResourcesAPIURL;
@@ -113,9 +109,9 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
     searchOrpsForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst;
@@ -123,8 +119,8 @@
         let url = link+params+"/other"+"?format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
 
     searchOrpsForDataproviders(params: string, page: number, size: number, properties:EnvProperties):any {
@@ -132,8 +128,8 @@
 
         let url = link+params+ "&page="+(page-1)+"&size="+size + "&format=json";
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
 
     parseResults(data: any, properties: EnvProperties): SearchResult[] {
@@ -351,8 +347,8 @@
     numOfOrps(url: string, properties:EnvProperties):any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntityOrps(id: string, entity: string, properties:EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/layout.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/layout.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/layout.service.ts	(revision 55964)
@@ -1,11 +1,13 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable} from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {CustomOptions} from './servicesUtils/customOptions.class';
+import {catchError} from "rxjs/operators";
 
 @Injectable()
 export class LayoutService {
-    constructor(private http: Http) {
+    constructor(private http: HttpClient) {
     }
 
     static removeNulls(obj) {
@@ -22,26 +24,26 @@
     saveLayout(pid: string, url: string, layout: any) {
         LayoutService.removeNulls(layout);
         return this.http.post(url + 'community/' + pid + '/updateLayout', JSON.stringify(layout), CustomOptions.getAuthOptionsWithBody())
-            .map(res => res.json())
-            .catch(this.handleError);
+            //.map(res => res.json())
+            .pipe(catchError(this.handleError));
     }
 
     getLayout(pid: string, url: string) {
         return this.http.get(url + 'community/' + pid + '/layout')
-            .map(res => res.json())
-            .catch(this.handleError);
+            //.map(res => res.json())
+            .pipe(catchError(this.handleError));
     }
 
     loadDefaultLayout(pid: string, url: string) {
         return this.http.post(url + 'community/' + pid + '/resetLayout', null, CustomOptions.getAuthOptionsWithBody())
-            .map(res => res.json())
-            .catch(this.handleError);
+            //.map(res => res.json())
+            .pipe(catchError(this.handleError));
     }
 
-    private handleError(error: Response) {
+    private handleError(error: HttpErrorResponse) {
         // in a real world app, we may send the error to some remote logging infrastructure
         // instead of just logging it to the console
         console.error(error);
-        return Observable.throw(error.json().error || 'Server error');
+        return throwError(error.error || 'Server error');
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrganizations.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrganizations.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchOrganizations.service.ts	(revision 55964)
@@ -1,18 +1,20 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
+
+
+
 import {SearchResult}     from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 import {StringUtils} from '../utils/string-utils.class';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchOrganizationsService {
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     parseResultsForDeposit(data: any): {"name": string, "id": string}[] {
         let results: {"name": string, "id": string}[] = [];
@@ -51,8 +53,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "organization")]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "organization")]));
     }
     advancedSearchOrganizations (params: string, page: number, size: number, properties:EnvProperties ):any {
       let url = properties.searchResourcesAPIURL;
@@ -72,9 +74,9 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
 
-      .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
     parseResults(data: any): SearchResult[] {
         let results: SearchResult[] = [];
@@ -165,8 +167,8 @@
     numOfOrganizations(url: string, properties:EnvProperties ): any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntityOrganizations(id: string, entity: string, properties:EnvProperties ):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts	(revision 55964)
@@ -1,18 +1,20 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
+
+
+
 import {SearchResult}     from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 import {StringUtils} from '../utils/string-utils.class';
+import {map} from "rxjs/operators";
 @Injectable()
 export class SearchProjectsService {
     private sizeOfDescription: number = 270;
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchProjects (params: string, refineParams:string, page: number, size: number, refineFields:string[] , properties:EnvProperties ):any {
 
@@ -29,8 +31,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "project")]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "project")]));
     }
     getProjectsforDataProvider (datasourceId: string, page: number, size: number, properties:EnvProperties  ):any {
       let url = properties.searchResourcesAPIURL;
@@ -46,8 +48,8 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
-      .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+      //.map(res => <any> res.json())
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
     advancedSearchProjects (params: string, page: number, size: number, properties:EnvProperties  ):any {
       let url = properties.searchResourcesAPIURL;
@@ -62,8 +64,8 @@
       url += "&page="+(page-1)+"&size="+size;
       url += "&format=json";
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
-      .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+      //.map(res => <any> res.json())
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
     getProjectsForOrganizations (organizationId: string, filterquery: string, page: number, size: number, refineFields:string[] , properties:EnvProperties  ):any {
       let url = properties.searchResourcesAPIURL;
@@ -84,15 +86,15 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "project")]);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "project")]));
     }
     getFunders(properties:EnvProperties ):any {
        let url = properties.searchAPIURLLAst+"projects?refine=true&fields=funder&size=0"+ "&format=json";;
 
        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                   .map(res => <any> res.json())
-                   .map(res => [res['meta'].total, res['refineResults']['funder']]);
+                   //.map(res => <any> res.json())
+                   .pipe(map(res => [res['meta'].total, res['refineResults']['funder']]));
 
 
       }
@@ -103,9 +105,10 @@
 
          return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).toPromise()
                     .then(request =>{
-                      return (request.json().response.results)?request.json().response.results.result:request.json().response.result;
+                      //return (request.json().response.results)?request.json().response.results.result:request.json().response.result;
+                      return (request['response'].results)?request['response'].results.result:request['response'].result;
 
-                }) ;
+                    }) ;
         }
     parseResults(data: any): SearchResult[] {
         let results: SearchResult[] = [];
@@ -219,8 +222,8 @@
     numOfProjects(url: string, properties:EnvProperties ):any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntityProjects(id: string, entity: string, properties:EnvProperties ):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchSoftware.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchSoftware.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchSoftware.service.ts	(revision 55964)
@@ -1,20 +1,22 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
 import {SearchResult}     from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 import {DOI, StringUtils} from '../utils/string-utils.class';
+import {map} from "rxjs/operators";
 @Injectable()
 export class SearchSoftwareService {
     private sizeOfDescription: number = 270;
     public parsingFunctions: ParsingFunctions = new ParsingFunctions();
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchSoftware (params: string, refineParams:string, page: number, size: number, sortBy: string, refineFields:string[], properties:EnvProperties ):any {
 
@@ -34,9 +36,9 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]));
+
     }
     searchSoftwareById (id: string, properties:EnvProperties ):any {
 
@@ -44,8 +46,7 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseResults(res, properties));
+                    .pipe(map(res => this.parseResults(res, properties)));
     }
 
     searchAggregators (id: string, params: string, refineParams:string, page: number, size: number, properties:EnvProperties ):any {
@@ -63,8 +64,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseRefineResults(id, res['refineResults']))
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseRefineResults(id, res['refineResults'])));
     }
 
     searchSoftwareByDois (DOIs: string[], refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -86,9 +87,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]));
     }
     advancedSearchSoftware (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
       let url = properties.searchResourcesAPIURL;
@@ -109,9 +109,8 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
-      //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
+
     }
     searchSoftwareForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst;
@@ -118,8 +117,8 @@
         let url = link+params+"/software"+"?format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
+
     }
 
     searchSoftwareForDataproviders(params: string, page: number, size: number, properties:EnvProperties):any {
@@ -127,8 +126,7 @@
         let url = link+params+ "&page="+(page-1)+"&size="+size + "&format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
 
     parseResults(data: any, properties: EnvProperties): SearchResult[] {
@@ -360,8 +358,8 @@
     numOfSoftware(url: string, properties:EnvProperties):any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntitySoftware(id: string, entity: string, properties:EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/customOptions.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/customOptions.class.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/servicesUtils/customOptions.class.ts	(revision 55964)
@@ -1,9 +1,10 @@
-import { RequestOptions, Headers} from '@angular/http';
-import { COOKIE  } from '../../login/utils/helper.class';
+import {COOKIE} from '../../login/utils/helper.class';
+import {HttpHeaders} from "@angular/common/http";
 
 
 export class CustomOptions {
 
+  /*
   public static getAuthOptionsWithBody(): RequestOptions {
     const headers = new Headers();
     headers.append('Content-Type', 'application/json');
@@ -11,7 +12,18 @@
     const options = new RequestOptions({ headers: headers, withCredentials: true });
     return options;
   }
+  */
 
+  public static getAuthOptionsWithBody():{} {
+    return {
+      headers: new HttpHeaders({
+        'Content-Type': 'application/json',
+        'X-XSRF-TOKEN': COOKIE.getCookie(COOKIE.cookieName_id)
+      }), withCredentials: true
+    };
+  }
+
+  /*
   public static getAuthOptions(): RequestOptions {
     const headers = new Headers();
     headers.append('X-XSRF-TOKEN',  COOKIE.getCookie(COOKIE.cookieName_id));
@@ -18,5 +30,15 @@
     const options = new RequestOptions({ headers: headers, withCredentials: true });
     return options;
   }
+  */
 
+  public static getAuthOptions():any {
+    const httpOptions = {
+      headers: new HttpHeaders({
+        'X-XSRF-TOKEN': COOKIE.getCookie(COOKIE.cookieName_id),
+      }), withCredentials: true
+    };
+    return httpOptions;
+  }
+
 }
